package J20250730.demo01_thread;

/**
 * @author WanJl
 * @version 1.0
 * @title MyThread
 * @description 我们自定义的一个继承线程类的子类
 * @create 2025/7/30
 */
public class MyThread extends Thread{
    //一定要重写父类的run方法
    @Override
    public void run() {
        System.out.println("当前有一个线程正在执行....");
        for (int i = 0; i < 100; i++) {
            System.out.println(this.getName()+"----->"+i);
        }
    }
}
